For the complete documentation index, see llms.txt. This page is also available as Markdown.

List all roles

How to fetch a collection of roles via API

To fetch a collection of roles, send a GET request to the /api/roles endpoint.

Request

GET https://provisioning.commercelayer.io/api/roles

Example

The following request fetches a collection of roles:

curl -g -X GET \
  'https://provisioning.commercelayer.io/api/roles/' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer {{your_access_token}}'

On success, the API responds with a 200 OK status code, returning a paginated collection of resource objects:

{
  "data": [
    {
      "id": "xYZkjABcde",
      "type": "roles",
      "links": {
        "self": "https://provisioning.commercelayer.io/api/roles/xYZkjABcde"
      },
      "attributes": {
        "name": "Custom role",
        "kind": "custom",
        "created_at": "2018-01-01T12:00:00.000Z",
        "updated_at": "2018-01-01T12:00:00.000Z",
        "reference": "ANY-EXTERNAL-REFEFERNCE",
        "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
        "metadata": {
          "foo": "bar"
        }
      },
      "relationships": {
        "organization": {
          "links": {
            "self": "https://provisioning.commercelayer.io/api/roles/xYZkjABcde/relationships/organization",
            "related": "https://provisioning.commercelayer.io/api/roles/xYZkjABcde/organization"
          }
        },
        "permissions": {
          "links": {
            "self": "https://provisioning.commercelayer.io/api/roles/xYZkjABcde/relationships/permissions",
            "related": "https://provisioning.commercelayer.io/api/roles/xYZkjABcde/permissions"
          }
        },
        "memberships": {
          "links": {
            "self": "https://provisioning.commercelayer.io/api/roles/xYZkjABcde/relationships/memberships",
            "related": "https://provisioning.commercelayer.io/api/roles/xYZkjABcde/memberships"
          }
        },
        "api_credentials": {
          "links": {
            "self": "https://provisioning.commercelayer.io/api/roles/xYZkjABcde/relationships/api_credentials",
            "related": "https://provisioning.commercelayer.io/api/roles/xYZkjABcde/api_credentials"
          }
        },
        "versions": {
          "links": {
            "self": "https://provisioning.commercelayer.io/api/roles/xYZkjABcde/relationships/versions",
            "related": "https://provisioning.commercelayer.io/api/roles/xYZkjABcde/versions"
          }
        }
      }
    },
    {
      "other": "... 9 roles (first page)"
    }
  ],
  "meta": {
    "record_count": 140,
    "page_count": 14
  },
  "links": {
    "first": "https://provisioning.commercelayer.io/roles?page[number]=1&page[size]=10",
    "next": "https://provisioning.commercelayer.io/roles?page[number]=2&page[size]=10",
    "last": "https://provisioning.commercelayer.io/roles?page[number]=14&page[size]=10"
  }
}

Remember that when you fetch a list of resources you get paginated result.

Sortable fields

The list of roles can be sorted by the following fields:

  • id

  • created_at

  • updated_at

  • reference

  • reference_origin

Filterable fields

The list of roles can be filtered by the following fields:

Attributes

  • name

  • kind

  • id

  • created_at

  • updated_at

  • reference

  • reference_origin

  • metadata

Relationships

  • organization

  • permissions

  • memberships

  • api_credentials

Last updated